Bug 865540 - [abrt] pitivi-0.15.2-2.fc18: os.py:157:makedirs:OSError: [Errno 17] File exists: '/home/luya/.config/pitivi'
[abrt] pitivi-0.15.2-2.fc18: os.py:157:makedirs:OSError: [Errno 17] File exis...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: pitivi (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:49fef65e02f789c36c8d4e465ed...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 13:28 EDT by Luya Tshimbalanga
Modified: 2014-01-28 12:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-28 12:32:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (32 bytes, text/plain)
2012-10-11 13:29 EDT, Luya Tshimbalanga
no flags Details
File: core_backtrace (1.16 KB, text/plain)
2012-10-11 13:29 EDT, Luya Tshimbalanga
no flags Details

  None (edit)
Description Luya Tshimbalanga 2012-10-11 13:28:58 EDT
Description of problem:
Simply start  pitivi

Version-Release number of selected component:
pitivi-0.15.2-2.fc18

Additional info:
libreport version: 2.0.15
abrt_version:   2.0.14
cmdline:        python /usr/bin/pitivi
kernel:         3.6.1-1.fc18.x86_64

backtrace:
:os.py:157:makedirs:OSError: [Errno 17] File exists: '/home/luya/.config/pitivi'
:
:Traceback (most recent call last):
:  File "/usr/bin/pitivi", line 134, in <module>
:    _run_pitivi()
:  File "/usr/bin/pitivi", line 129, in _run_pitivi
:    sys.exit(ptv.main(sys.argv))
:  File "/usr/share/pitivi/python/pitivi/application.py", line 514, in main
:    ptv = StartupWizardGuiPitivi(debug=options.debug)
:  File "/usr/share/pitivi/python/pitivi/application.py", line 371, in __init__
:    FullGuiPitivi.__init__(self, debug)
:  File "/usr/share/pitivi/python/pitivi/application.py", line 264, in __init__
:    InteractivePitivi.__init__(self, debug)
:  File "/usr/share/pitivi/python/pitivi/application.py", line 212, in __init__
:    Pitivi.__init__(self)
:  File "/usr/share/pitivi/python/pitivi/application.py", line 124, in __init__
:    self.settings = GlobalSettings()
:  File "/usr/share/pitivi/python/pitivi/settings.py", line 165, in __init__
:    self._readSettingsFromConfigurationFile()
:  File "/usr/share/pitivi/python/pitivi/settings.py", line 176, in _readSettingsFromConfigurationFile
:    conf_file_path = os.path.join(xdg_config_home(), "pitivi.conf")
:  File "/usr/share/pitivi/python/pitivi/settings.py", line 102, in xdg_config_home
:    return get_dir(os.path.join(xdg_dirs.xdg_config_home, "pitivi"), autocreate)
:  File "/usr/share/pitivi/python/pitivi/settings.py", line 84, in get_dir
:    os.makedirs(path)
:  File "/usr/lib64/python2.7/os.py", line 157, in makedirs
:    mkdir(name, mode)
:OSError: [Errno 17] File exists: '/home/luya/.config/pitivi'
:
:Local variables in innermost frame:
:tail: 'pitivi'
:head: '/home/luya/.config'
:name: '/home/luya/.config/pitivi'
:mode: 511
Comment 1 Luya Tshimbalanga 2012-10-11 13:29:01 EDT
Created attachment 625609 [details]
File: dso_list
Comment 2 Luya Tshimbalanga 2012-10-11 13:29:02 EDT
Created attachment 625611 [details]
File: core_backtrace
Comment 3 Fedora End Of Life 2013-12-21 04:06:28 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Jean-François Fortin Tam 2014-01-28 12:32:15 EST
Hi there,

As an upstream maintainer, I expect this issue to be fixed in the new Pitivi.
Version 0.92 is now available as an update for Fedora 20
and we would like to encourage you to test it.

If you can reproduce this bug against 0.92 or newer, please update this
bug report accordingly with detailed instructions to reproduce the bug,
sample files/projects in xges format, etc.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.